Bug 473883 - Maximised windows are covered by a gnome panel
Maximised windows are covered by a gnome panel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
10
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 05:18 EST by Ives.Gwen
Modified: 2009-12-18 02:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:04:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ives.Gwen 2008-12-01 05:18:28 EST
Description of problem:
Maximised windows in gnome expand all the way across the screen and are covered by the lower panel (behavior of the upper panel is correct) making the lower portion of the application inaccessible unless the panel is hidden or deleted.

Version-Release number of selected component (if applicable):
metacity-2.24.0-2.fc10.i386
libgnome-2.24.1-7.fc10.i386

How reproducible:
Every time

Steps to Reproduce:
1. Create a lower panel in gnome desktop
2. Maximise any window
  
Actual results:
Window expands under the lower panel

Expected results:
Window expands down to but not under the panel

Additional info:
Comment 1 Matt McCutchen 2008-12-03 23:33:25 EST
I started seeing a similar problem when I upgraded from Fedora 9 to Fedora 10.  I have two monitors in the following arrangement as returned by Xinerama:

screen_number 0, x_org 0, y_org 0, width 1440, height 900 (external)
screen_number 1, x_org 1440, y_org 350, width 1440, height 900 (laptop)

I have a single panel.  When I put it on any side of the laptop monitor, windows maximize behind it.  When I put it on any side of the external monitor, the problem does not occur.  It doesn't matter whether I change my configuration so Xinerama returns the monitors in the other order; it's always the laptop monitor (at the lower right) that exhibits the problem.

If I switch to using just the laptop monitor using xrandr, as shown:

screen_number 0, x_org 0, y_org 0, width 1440, height 900

the problem does not occur.  If I switch back to the dual-monitor setup, it resumes.

Tell me if I should enter a separate bug.
Comment 2 Matt McCutchen 2008-12-04 01:15:26 EST
The problem goes away if I align the monitors:

screen_number 0, x_org 0, y_org 0, width 1440, height 900
screen_number 1, x_org 1440, y_org 0, width 1440, height 900
Comment 3 Matt Weaver 2009-04-02 12:55:29 EDT
Just wanted to confirm I'm seeing this behavior as well.  I'm using a laptop with two monitors connected using Xinerama.  The built-in one is to the right of the external.  If I align the built-in monitor with the bottom of the external monitor ('Screen 0 "Primary" Absolute 1200 720' in my xorg.conf), maximized windows overlap the gnome panel, even if the panel is not top-aligned.  If I align it with the top ('Screen 0 "Primary" Absolute 1200 0'), everything it works correctly.

Using Fedora Core 10, metacity-2.24.0-2.fc10.x86_64, libgnome-2.24.1-9.fc10.x86_64, libXinerama-1.0.3-2.fc10.x86_64
Comment 4 Bug Zapper 2009-11-18 04:25:34 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:04:07 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.